## kdepim-runtime 4.14.2

=== CMakeLists.txt ===
project(kdepim-runtime)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/modules)

############### KDEPIM-Runtime version ################
# KDEPIM_RUNTIME_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, it the version is "x.y"
#
# KDEPIM_RUNTIME_DEV_VERSION
# is empty for final versions. For development versions "build" is
# something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
#
#    3.0
#    3.0.1
#    3.1 alpha1
#    3.1 beta1
#    3.1 beta2
#    3.1 rc1
#    3.1
#    3.1.1
#    3.2 pre
#    3.2 alpha1

if(NOT DEFINED KDEPIM_RUNTIME_DEV_VERSION)
    set(KDEPIM_RUNTIME_DEV_VERSION "")
endif()

set(KDEPIM_RUNTIME_VERSION "4.14.2${KDEPIM_RUNTIME_DEV_VERSION}")

configure_file(kdepim-runtime-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)

############### search-related options ################

add_definitions(-DQT_USE_QSTRINGBUILDER)

############### search packages used by KDE ###############

set(CMAKE_AUTOMOC ON)

# Kdelibs
find_package(KDE4 4.13.0 REQUIRED)
include(KDE4Defaults)

# KdepimLibs
find_package(KdepimLibs 4.14.2)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries" URL "http://www.kde.org" TYPE REQUIRED)

#Boost
# Don't use BoostConfig.cmake
set(Boost_NO_BOOST_CMAKE TRUE)
find_package(Boost 1.34.0)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required by Akonadi")

# Akonadi
find_package(Akonadi 1.12.90 QUIET CONFIG)
set_package_properties(Akonadi PROPERTIES DESCRIPTION "Akonadi server libraries" URL "http://pim.kde.org/akonadi" TYPE REQUIRED PURPOSE "Access to PIM storage and services")

# shared-mime-info
find_package(SharedMimeInfo 0.30)
set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "The shared-mime-info utility" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")

# Libkolab
find_package(Libkolab 0.5.2 QUIET CONFIG)
set_package_properties(Libkolab PROPERTIES DESCRIPTION "libkolab" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab Format libraries are required to build the Kolab Groupware Resource")

# Libkolabxml
find_package(Libkolabxml 1.0 QUIET CONFIG)
set_package_properties(Libkolabxml PROPERTIES DESCRIPTION "Kolabxml" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab XML Format Schema Definitions Library is required to build the Kolab Groupware Resource")

# Libkgapi2
find_package(LibKGAPI2 2.2.0 QUIET CONFIG)
set_package_properties(LibKGAPI2 PROPERTIES DESCRIPTION "KDE-based library for accessing various Google services" URL "https://projects.kde.org/libkgapi" TYPE OPTIONAL PURPOSE "LibKGAPI is required to build Akonadi resources to access Google Contacts, Calendars and Tasks and Gmail")

# Libkfbapi
find_package(LibKFbAPI 1.0 QUIET CONFIG)
set_package_properties(LibKFbAPI PROPERTIES DESCRIPTION "A library to access Facebook services" URL "http://projects.kde.org/libkfbapi" TYPE OPTIONAL PURPOSE "LibKFbAPI is required to build Akonadi resources to access Facebook's contacts, events, notes and posts" )

if(LibKGAPI2_FOUND OR LibKFbAPI_FOUND)
  find_package(QJSON)
  set_package_properties(QJSON PROPERTIES DESCRIPTION "Qt library for handling JSON data" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "Required to build the Google and Facebook resources")
endif()

# Xsltproc
find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

find_package(AccountsQt 1.11 QUIET CONFIG)
set_package_properties(AccountsQt PROPERTIES DESCRIPTION "Qt bindings for accounts-sso" URL "https://code.google.com/p/accounts-sso/" TYPE OPTIONAL PURPOSE "Required to support AccountsQt in different resources")

find_package(SignOnQt 8.56 QUIET CONFIG)
set_package_properties(SignOnQt PROPERTIES DESCRIPTION "SignOn Qt bindings for accounts-sso" URL "https://code.google.com/p/accounts-sso/" TYPE OPTIONAL PURPOSE "Required to support SignOn in different resources")

############### Load the CTest options ###############

# CMake is irritating and doesn't allow setting the tests timeout globally.
# Let's work around this. The global timeout is now 2 minutes.
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)

option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)

############### Desktop vs. Mobile options ##############

option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
if (KDEPIM_MOBILE_UI)
  add_definitions( -DKDEPIM_MOBILE_UI )
  if(NOT QT_QTDECLARATIVE_FOUND)
    message(FATAL_ERROR "The QtDeclarative library is required for building the mobile UI")
  endif()
endif ()

set(LIBRARY_TYPE SHARED)

#FIXME: kde4_add_plugin doesn't have a parameter to build the plugins statically.
if (RUNTIME_PLUGINS_STATIC)
  set(SERIALIZER_TYPE STATIC)
endif ()

############### Enterprise build options #################

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

############### Needed commands before building anything ###############

include_directories(${kdepim-runtime_SOURCE_DIR} ${kdepim-runtime_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} ${AKONADI_INCLUDE_DIR} ${KDE4_INCLUDES} ${Boost_INCLUDE_DIR})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

############### Generate akonadi-config.h ###############

configure_file(akonadi-version.h.cmake "${kdepim-runtime_BINARY_DIR}/akonadi-version.h" @ONLY)


############### Macros ###############

# resource tests
macro( akonadi_add_resourcetest _testname _script )
  if ( ${EXECUTABLE_OUTPUT_PATH} )
    set( _exepath ${EXECUTABLE_OUTPUT_PATH} )
  else ()
    set( _exepath ${kdepim-runtime_BINARY_DIR}/resourcetester )
  endif ()
  if (WIN32)
    set(_resourcetester ${_exepath}/resourcetester.bat)
  else ()
    set(_resourcetester ${_exepath}/resourcetester)
  endif ()
  if (UNIX)
    set(_resourcetester ${_resourcetester}.shell)
  endif ()
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_script} ${CMAKE_CURRENT_BINARY_DIR}/${_script} COPYONLY)
  if (KDEPIM_RUN_ISOLATED_TESTS)
    add_test( akonadi-mysql-db-${_testname} akonaditest -c ${kdepim-runtime_SOURCE_DIR}/resourcetester/tests/unittestenv/config-mysql-db.xml ${_resourcetester} -c ${CMAKE_CURRENT_BINARY_DIR}/${_script} )
  endif ()
endmacro( akonadi_add_resourcetest )

############### Now, we add the components ###############

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(libkdepim-copy)
add_subdirectory(plugins)
add_subdirectory(accountwizard)
add_subdirectory(defaultsetup)
add_subdirectory(resourcetester)
add_subdirectory(kioslave)
add_subdirectory(kcm)
add_subdirectory(tray)
add_subdirectory(migration)
if (KDEPIMLIBS_KRESOURCES_LIBS)
  add_subdirectory(kresources)
endif ()
if (QT_QTDECLARATIVE_FOUND)
  add_subdirectory(qml)
endif ()

#if(OPENSYNC_FOUND)
#  add_subdirectory(opensync)
#endif(OPENSYNC_FOUND)

############### Here we install some extra stuff  ###############

## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

feature_summary(WHAT ALL
                     INCLUDE_QUIET_PACKAGES
                     FATAL_ON_MISSING_REQUIRED_PACKAGES
               )

=== agents/CMakeLists.txt ===
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

macro(kdepim_add_agent _target)
    if(KDEPIM_BUILD_AGENTS_AS_PLUGINS)
      add_definitions(-DKDEPIM_PLUGIN_AGENT)
      kde4_add_plugin(${_target} ${ARGN})
      install( TARGETS ${_target} DESTINATION ${PLUGIN_INSTALL_DIR}/ )
    else()
      kde4_add_executable(${_target} ${ARGN})
      install(TARGETS ${_target} ${INSTALL_TARGETS_DEFAULT_ARGS})
    endif()
endmacro()

add_subdirectory( maildispatcher )
add_subdirectory( newmailnotifier )
add_subdirectory( migration )
add_subdirectory( invitations )

install(FILES akonadinepomukfeederagent.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents")

=== migration/CMakeLists.txt ===
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

add_definitions(
  -DKRESOURCES_DEPRECATED=
  -DKABC_DEPRECATED=
  -DKCAL_DEPRECATED=
)
# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
  -DKRESOURCES_DEPRECATED_EXPORT=KRESOURCES_EXPORT
  -DKABC_DEPRECATED_EXPORT=KABC_EXPORT
  -DKCAL_DEPRECATED_EXPORT=KCAL_EXPORT
)
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

set( MIGRATION_AKONADI_SHARED_SOURCES
  ${CMAKE_CURRENT_SOURCE_DIR}/kmigratorbase.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/infodialog.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/entitytreecreatejob.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/migratorbase.cpp
)


add_subdirectory( kmail )
add_subdirectory( kaddressbook )
add_subdirectory( kjots )
add_subdirectory( gid )
if (KDEPIMLIBS_KRESOURCES_LIBS)
  add_subdirectory( knotes )
  add_subdirectory( kres )
  add_subdirectory( tests )
endif ()

=== resources/CMakeLists.txt ===

#add_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions( -DQT_NO_CAST_TO_ASCII )

include_directories(
  ${kdepim-runtime_SOURCE_DIR}/libkdepim-copy
  ${CMAKE_CURRENT_SOURCE_DIR}/shared
  ${CMAKE_CURRENT_BINARY_DIR}/shared
)

set( AKONADI_SINGLEFILERESOURCE_SHARED_SOURCES
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresourcebase.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresourceconfigdialogbase.cpp
)

if (KDEPIM_MOBILE_UI)
set( AKONADI_SINGLEFILERESOURCE_SHARED_UI
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresourceconfigdialog_mobile.ui
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresourceconfigdialog.ui
)
else ()
set( AKONADI_SINGLEFILERESOURCE_SHARED_UI
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresourceconfigdialog_desktop.ui
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresourceconfigdialog.ui
)
endif ()

set( AKONADI_COLLECTIONATTRIBUTES_SHARED_SOURCES
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/collectionannotationsattribute.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/collectionflagsattribute.cpp
)

set( AKONADI_IMAPATTRIBUTES_SHARED_SOURCES
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/imapaclattribute.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/imapquotaattribute.cpp
)

add_subdirectory( akonotes )
add_subdirectory( kalarm )
add_subdirectory( contacts )
macro_optional_add_subdirectory( dav )
add_subdirectory( ical )
add_subdirectory( imap )
if (KDEPIMLIBS_KRESOURCES_LIBS)
  add_subdirectory( kabc )
  add_subdirectory( kcal )
endif()
macro_optional_add_subdirectory( kdeaccounts )
if (Libkolab_FOUND AND Libkolabxml_FOUND)
    macro_optional_add_subdirectory( kolabproxy )
    add_subdirectory( kolab )
endif()

macro_optional_add_subdirectory( localbookmarks )

add_subdirectory( maildir )

macro_optional_add_subdirectory( openxchange )
add_subdirectory( pop3 )

if( LibKGAPI2_FOUND )
  add_subdirectory( google )
  # Disabled in KDE 4.14 - too many issues for stable release
  #add_subdirectory( gmail )
endif()

if( LibKFbAPI_FOUND )
  add_subdirectory( facebook )
endif()

add_subdirectory( shared )
add_subdirectory( birthdays )
add_subdirectory( mixedmaildir )
add_subdirectory( mailtransport_dummy )
add_subdirectory( mbox )
add_subdirectory( nntp )
add_subdirectory( vcarddir )
add_subdirectory( icaldir )
add_subdirectory( vcard )
add_subdirectory( folderarchivesettings )

=== agents/invitations/CMakeLists.txt ===
set( invitationsagent_SRCS
  invitationsagent.cpp
  incidenceattribute.cpp
)

#kde4_add_ui_files(invitationsagent_SRCS settings.ui)
#kde4_add_kcfg_files(invitationsagent_SRCS settings.kcfgc)
#kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/invitationsagent.kcfg org.kde.Akonadi.MailDispatcher.Settings)
#qt4_add_dbus_adaptor(invitationsagent_SRCS
#  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MailDispatcher.Settings.xml settings.h Settings
#)
## qt4_add_dbus_adaptor( invitationsagent_SRCS
## ${KDE4_DBUS_INTERFACES_DIR}/org.kde.Akonadi.MailDispatcher.xml invitationsagent.h MailDispatcherAgent
## )

kde4_add_executable(akonadi_invitations_agent ${invitationsagent_SRCS})

target_link_libraries(akonadi_invitations_agent
  ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
  ${KDEPIMLIBS_KCALCORE_LIBS}
)

if (Q_WS_MAC)
  set_target_properties(akonadi_invitations_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_invitations_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.invitationsagent")
  set_target_properties(akonadi_invitations_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Invitations Calendar")
endif ()


install(TARGETS akonadi_invitations_agent ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES invitationsagent.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents")

=== agents/newmailnotifier/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${Boost_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )



set(newmailnotifieragent_SRCS
  newmailnotifiersettingsdialog.cpp
  newmailnotifieragent.cpp
  newmailnotifierattribute.cpp
  specialnotifierjob.cpp
  newmailnotifierselectcollectionwidget.cpp
  newmailnotifiershowmessagejob.cpp
  util.cpp
)

kde4_add_kcfg_files(newmailnotifieragent_SRCS
    newmailnotifieragentsettings.kcfgc
  )


qt4_add_dbus_adaptor(newmailnotifieragent_SRCS org.freedesktop.Akonadi.NewMailNotifier.xml newmailnotifieragent.h NewMailNotifierAgent)


kde4_add_executable( akonadi_newmailnotifier_agent ${newmailnotifieragent_SRCS})


target_link_libraries( akonadi_newmailnotifier_agent
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${KDE4_KNOTIFYCONFIG_LIBS}
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${KDEPIMLIBS_AKONADI_CONTACT_LIBS}
  ${KDEPIMLIBS_KPIMIDENTITIES_LIBS}
)


if (Q_WS_MAC)
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/Info.plist.template)
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.newmailnotifier")
  set_target_properties( akonadi_newmailnotifier_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE New Mail Notifier")
endif ()

install(TARGETS akonadi_newmailnotifier_agent ${INSTALL_TARGETS_DEFAULT_ARGS} )


install(FILES newmailnotifieragent.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents")
install(FILES akonadi_newmailnotifier_agent.notifyrc DESTINATION "${DATA_INSTALL_DIR}/akonadi_newmailnotifier_agent" )

add_subdirectory(kconf_update)

=== migration/gid/CMakeLists.txt ===
set(gid_SRCS
  gidmigrator.cpp
  gidmigrationjob.cpp
  ${MIGRATION_AKONADI_SHARED_SOURCES}
)

kde4_add_library(gidmigration STATIC ${gid_SRCS})
target_link_libraries(gidmigration
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEPIMLIBS_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
)

kde4_add_executable(gidmigrator main.cpp)
target_link_libraries(gidmigrator
  gidmigration
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEPIMLIBS_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
)
install(TARGETS gidmigrator ${INSTALL_TARGETS_DEFAULT_ARGS})

=== migration/kmail/CMakeLists.txt ===
set(kmail-migrator_srcs
  abstractcollectionmigrator.cpp
  emptyresourcecleaner.cpp
  imapcacheadapter.cpp
  imapcachecollectionmigrator.cpp
  imapcachelocalimporter.cpp
  kmailmigrator.cpp
  localfolderscollectionmigrator.cpp
  main.cpp
  ${MIGRATION_AKONADI_SHARED_SOURCES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../resources/shared/collectionannotationsattribute.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/../../resources/shared/createandsettagsjob.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/../../resources/mixedmaildir/mixedmaildirstore.cpp
)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../../resources/maildir
  ${CMAKE_CURRENT_SOURCE_DIR}/../../resources/mbox
  ${CMAKE_CURRENT_SOURCE_DIR}/../../resources/mixedmaildir
  ${CMAKE_CURRENT_SOURCE_DIR}/../../resources/shared
  ${CMAKE_CURRENT_SOURCE_DIR}/../../resources/shared/filestore
)

macro(add_resource_iface _kcfgFile _ifaceName _className)
  kcfg_generate_dbus_interface(${kdepim-runtime_SOURCE_DIR}/resources/${_kcfgFile} ${_ifaceName})
  string(TOLOWER ${_className} _codeFile)
  set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml PROPERTIES INCLUDE "metatype.h")
  qt4_add_dbus_interface(kmail-migrator_srcs
    ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_codeFile} ${_className}
  )
endmacro()

add_resource_iface( imap/imapresource.kcfg
                    org.kde.Akonadi.Imap.Settings ImapSettings )
add_resource_iface( pop3/settings.kcfg
                    org.kde.Akonadi.POP3.Settings Pop3Settings )
add_resource_iface( mbox/mboxresource.kcfg
                    org.kde.Akonadi.Mbox.Settings MboxSettings )
add_resource_iface( maildir/maildirresource.kcfg
                    org.kde.Akonadi.Maildir.Settings MaildirSettings )
add_resource_iface( mixedmaildir/mixedmaildirresource.kcfg
                    org.kde.Akonadi.MixedMaildir.Settings MixedMaildirSettings )

kde4_add_app_icon(kmail-migrator_srcs "${KDE4_ICON_DIR}/oxygen/*/apps/akonadi.png")
kde4_add_executable(kmail-migrator ${kmail-migrator_srcs} )
target_link_libraries(kmail-migrator
  ${KDEPIMLIBS_KMBOX_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  akonadi-filestore
  maildir
  kmindexreader
)

install(TARGETS kmail-migrator ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kmail-migratorrc DESTINATION ${CONFIG_INSTALL_DIR})

=== migration/knotes/CMakeLists.txt ===

set(knotes-migrator_srcs
    main.cpp
    knotesmigrator.cpp
    notelockattribute.cpp
    knotesmigratorconfig.cpp
    notealarmattribute.cpp
    notedisplayattribute.cpp
    showfoldernotesattribute.cpp
    ${MIGRATION_AKONADI_SHARED_SOURCES}
)

kde4_add_kcfg_files(knotes-migrator_srcs knoteconfig.kcfgc)

macro(add_resource_iface _kcfgFile _ifaceName _className)
  kcfg_generate_dbus_interface(${kdepim-runtime_SOURCE_DIR}/resources/${_kcfgFile} ${_ifaceName})
  string(TOLOWER ${_className} _codeFile)
  qt4_add_dbus_interface(knotes-migrator_srcs
    ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_codeFile} ${_className}
  )
endmacro()

add_resource_iface( maildir/maildirresource.kcfg org.kde.Akonadi.Maildir.Settings MaildirSettings )

kde4_add_executable(knotes-migrator ${knotes-migrator_srcs})

target_link_libraries(knotes-migrator
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${KDEPIMLIBS_KABC_LIBS}
    ${KDEPIMLIBS_KCAL_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTGUI_LIBRARY}
)

install(TARGETS knotes-migrator ${INSTALL_TARGETS_DEFAULT_ARGS})
#install(FILES knotes-migratorrc DESTINATION ${CONFIG_INSTALL_DIR})

=== qml/akonadi/CMakeLists.txt ===
if (QT_QTDECLARATIVE_FOUND)
install(FILES
  qmldir
  collectionview.qml
  AkonadiBreadcrumbNavigationView.qml
  CollectionDelegate.qml
  border_dot.png
  check.png
  sliderbackground.png
  transparentplus.png
  DESTINATION ${PLUGIN_INSTALL_DIR}/imports/org/kde/akonadi
)

add_subdirectory( tests )

endif ()

=== resources/akonotes/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../maildir
    ${CMAKE_CURRENT_BINARY_DIR}/../maildir
    ${CMAKE_CURRENT_SOURCE_DIR}/../maildir/libmaildir
    ${QT_QTDBUS_INCLUDE_DIR}
    ${Boost_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### next target ###############

set( akonotesresource_SRCS
  ../maildir/maildirresource.cpp
  ../maildir/configdialog.cpp
  ../maildir/retrieveitemsjob.cpp
  akonotesresource.cpp

  main.cpp
)


kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../maildir/maildirresource.kcfg org.kde.Akonadi.Maildir.Settings)

kde4_add_ui_files(akonotesresource_SRCS ../maildir/settings.ui)

kde4_add_kcfg_files(akonotesresource_SRCS ../maildir/settings.kcfgc)

qt4_add_dbus_adaptor(akonotesresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml settings.h Akonadi_Maildir_Resource::MaildirSettings maildirsettingsadaptor MaildirSettingsAdaptor
)

install( FILES akonotesresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_plugin(akonadi_akonotes_resource ${akonotesresource_SRCS})

target_link_libraries(akonadi_akonotes_resource ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} maildir ${QT_QTDBUS_LIBRARY} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS} folderarchivesettings)

install(TARGETS akonadi_akonotes_resource DESTINATION ${PLUGIN_INSTALL_DIR})

=== resources/gmail/CMakeLists.txt ===
add_subdirectory(saslplugin)
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )



include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_SOURCE_DIR}/../imap
    ${CMAKE_CURRENT_BINARY_DIR}/../imap
    ${LibKGAPI2_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QJSON_INCLUDE_DIR} 
    ${qjson_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../folderarchivesettings/
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

########### next target ###############

set(gmailresource_SRCS
    gmailresource.cpp
    gmailretrievecollectionstask.cpp
    gmailretrieveitemstask.cpp
    gmailmessagehelper.cpp
    gmailpasswordrequester.cpp
    gmailresourcestate.cpp
    gmailconfigdialog.cpp
    gmailsettings.cpp
    gmaillinkitemstask.cpp
    gmaillabelattribute.cpp
    gmailchangeitemslabelstask.cpp
)

kde4_add_ui_files(gmailresource_SRCS gmailconfigdialog.ui)
#kde4_add_kcfg_files(gmailresource_SRCS settingsbase.kcfgc)

kde4_add_executable(akonadi_gmail_resource ${gmailresource_SRCS})
target_link_libraries(akonadi_gmail_resource
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${KDEPIMLIBS_KIMAP_LIBS}
    ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
    ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
    ${KDEPIMLIBS_KPIMIDENTITIES_LIBS}
    ${LibKGAPI2_LIBRARY}
    ${QJSON_LIBRARIES}
    imapresource
    folderarchivesettings
)

install(FILES gmailresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents")
install(TARGETS akonadi_gmail_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdepim-runtime (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:46:27 +0200

kdepim-runtime (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:02:28 -0700

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.14.2),
               kdepimlibs5-dev (>= 4:4.14.2),
               libakonadi-dev (>= 1.12),
               libboost1.54-dev (>= 1.40.0-2),
               libkgapi-dev (>= 2.2.0),
               libkolab-dev (>= 0.5),
               libkolabxml-dev (>= 1.0),
               libqjson-dev,
               libqtwebkit-dev,
               libstreamanalyzer-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.30),
               xsltproc,
               libaccounts-qt-dev,
               libsignon-qt-dev,
               libkfbapi-dev,
               libsasl2-dev,
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdepim-runtime.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim-runtime.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kdepimlibs-kio-plugins,
         libkolab0 (>= 0.4.2-7~),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, kdepimlibs5 (<< 4:4.4), libmaildir4
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: kdepim-runtime (= ${binary:Version}), ${misc:Depends}
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kdepim-runtime-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         akonadi-backend-sqlite
Restrictions: build-needed

## kdepim-runtime 4.14.6

=== debian/changelog ===
kdepim-runtime (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Update watch file

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:05:23 -0700

kdepim-runtime (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix watch file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:28:10 -0800

kdepim-runtime (4:4.14.4-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release for kde-applications 
  * Fix watchfile to new applications download address.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 04 Feb 2015 20:46:57 +0000

kdepim-runtime (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:02:28 -0700

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev (>= 4:4.14.2),
                kdepimlibs5-dev (>= 4:4.14.2),
                libakonadi-dev (>= 1.12),
-               libboost1.54-dev (>= 1.40.0-2),
+               libboost1.55-dev (>= 1.40.0-2),
                libkgapi-dev (>= 2.2.0),
                libkolab-dev (>= 0.5),
                libkolabxml-dev (>= 1.0),

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/14.12.3/src/kdepim-runtime-([\d\.]*).tar.xz

## kdepim-runtime 4.14.10

=== debian/changelog ===
kdepim-runtime (4:4.14.10-2) unstable; urgency=medium

  * Team upload.
  * Remove hard coded Depends on libkolab0. Shlibs handles this just fine and
    the hard carded Depends made kdepim-runtime uninstallable due to the
    transition to libkolab0v5 (Closes: #797632)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 31 Aug 2015 22:29:35 -0400

kdepim-runtime (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.7).
  * New upstream release (4.14.8).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * New upstream patch: upstream_dont_trigger_overloaded-virtual_warning
  * New upstream patch: upstream_silence_overloaded_virtual_warning
  * Add libsoprano-dev build dep.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 16:29:30 +0200

kdepim-runtime (4:4.14.6-1) experimental; urgency=medium

  * New upstream release (4.14.6).
  * Bump kdepimlibs build dep version, due to
    Akonadi::MessageFlags::copyMessageFlags

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:02 +0200

kdepim-runtime (4:4.14.5-1) experimental; urgency=medium

  * Prepare Debian release.
  * Remove upstream patch: restart_akonadi.patch
  * Refresh patches.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Feb 2015 10:37:06 +0100

kdepim-runtime (4:4.14.2-3) unstable; urgency=medium

  * New patch: restart_akonadi.patch, restarts akonadi to complete kmail
    migration. (Closes: #727800) Thanks to Diane Trout

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 Jan 2015 11:41:00 +0100

kdepim-runtime (4:4.14.2-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/tlscancelled.patch to fix issue with inability to
    cancel connections using unknown SSL certificates (Closes: #750995)
  * Bump minimum kdepimlibs5-dev build-depends version to 4:4.14.2-2~
    in order to ensure the added enum is available

 -- Scott Kitterman <scott@kitterman.com>  Sun, 16 Nov 2014 22:14:26 -0500

kdepim-runtime (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:01 +0200

kdepim-runtime (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Sep 2014 12:08:47 +0200

kdepim-runtime (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update kolab dependency version.
  * Update install file.
  * New patch: kolabproxy_unittest

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 01:16:43 +0200

kdepim-runtime (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Reenable kolab integration. (Closes: #755678)
  * Update install file.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 14:21:31 +0200

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.0~),
               kdepimlibs5-dev (>= 4:4.14.8~),
               libakonadi-dev (>= 1.12.90),
               libboost-dev (>= 1.40.0-2),
               libkgapi-dev (>= 2.2.0),
               libkolab-dev (>= 0.5.2),
               libkolabxml-dev (>= 1.0),
               libqjson-dev,
               libqtwebkit-dev,
               libsasl2-dev,
               libsoprano-dev,
               libstreamanalyzer-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.30),
               xsltproc
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdepim-runtime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdepim-runtime.git

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kdepimlibs-kio-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, kdepimlibs5 (<< 4:4.4), libmaildir4
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.4)
Breaks: kdepim-dbg (<< 4:4.4)
Depends: kdepim-runtime (= ${binary:Version}), ${misc:Depends}
Description: debugging files for Akonadi KDE runtime components
 This package contains debugging symbols associated with kdepim-runtime.
 They will automatically be used by gdb for debugging issues related to
 components of kdepim-runtime.
 .
 This package is part of the kdepim-runtime module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbg-package=kdepim-runtime-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdepim-runtime-([\d.]+).tar.xz

## kdepim-runtime 15.08.2

=== debian/changelog ===
kdepim-runtime (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 11 Oct 2015 07:25:50 -0700

kdepim-runtime (4:15.08.1-0ubuntu3) wily; urgency=medium

  * In autopkgtest start kdeinit5 instead of kdeinit4
  * Add kubuntu_disable_flaky_test.patch to disable a falky upstream test

 -- Harald Sitter <sitter@kde.org>  Wed, 30 Sep 2015 12:16:17 +0200

kdepim-runtime (4:15.08.1-0ubuntu2) wily; urgency=medium

  * No change rebuild against newer kdepimlibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Sep 2015 10:09:12 +0100

kdepim-runtime (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 19:25:07 +0100

kdepim-runtime (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Add back libkolab and libkolabxml build-deps

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Sep 2015 12:14:27 +0100

kdepim-runtime (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 17:41:27 +0100

kdepim-runtime (4:15.07.90-0ubuntu2) wily; urgency=medium

  * Remove explicit libkolab dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2015 10:21:44 +0100

kdepim-runtime (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Build depend on default boost libraries, this makes the package buildable
    in wily.

  [ Harald Sitter ]
  * KDE Frameworks5 port

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 17:37:19 +0100

kdepim-runtime (4:4.14.8-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport.

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 30 May 2015 08:19:03 -0700

kdepim-runtime (4:4.14.7-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release 
  * Fix watch file.
  * wrap-and-sort 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 16 Apr 2015 06:13:54 -0700

=== debian/control ===
--- 
+++ 
@@ -9,28 +9,52 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.0~),
-               kdepimlibs5-dev (>= 4:4.14.8~),
-               libakonadi-dev (>= 1.12.90),
-               libboost-dev (>= 1.40.0-2),
-               libkgapi-dev (>= 2.2.0),
-               libkolab-dev (>= 0.5.2),
-               libkolabxml-dev (>= 1.0),
-               libqjson-dev,
-               libqtwebkit-dev,
+               extra-cmake-modules,
+               kio-dev,
+               kross-dev,
+               libboost-dev,
+               libkf5akonadi-dev,
+               libkf5akonadicalendar-dev,
+               libkf5akonadicontact-dev,
+               libkf5akonadimime-dev,
+               libkf5akonadinotes-dev,
+               libkf5akonadisocialutils-dev,
+               libkf5alarmcalendar-dev,
+               libkf5calendarcore-dev,
+               libkf5calendarutils-dev,
+               libkf5codecs-dev,
+               libkf5config-dev,
+               libkf5contacts-dev,
+               libkf5gapi-dev,
+               libkf5identitymanagement-dev,
+               libkf5imap-dev,
+               libkf5itemmodels-dev,
+               libkf5kcmutils-dev,
+               libkf5kdelibs4support-dev,
+               libkf5mailtransport-dev,
+               libkf5mbox-dev,
+               libkf5mime-dev,
+               libkf5notifyconfig-dev,
+               libkf5pimtextedit-dev,
+               libkf5syndication-dev,
+               libkolab-dev,
+               libkolabxml-dev,
+               libqt5webkit5-dev,
+               libqt5xmlpatterns5-dev,
                libsasl2-dev,
-               libsoprano-dev,
-               libstreamanalyzer-dev,
-               libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               qtbase5-dev,
+               qtquick1-5-dev,
                shared-mime-info (>= 0.30),
                xsltproc
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: http://pim.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdepim-runtime.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdepim-runtime.git
+X-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-sc/kdepim-runtime.git
+X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim-runtime.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
 
 Package: kdepim-runtime
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kdepim-runtime-dbg
